: Class QueryEngine

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class QueryEngine

    java.lang.Object
      |
      +--QueryEngine

public class QueryEngine
extends java.lang.Object

This is the implementation of the JDBC query engine. It processes the transactions to the database. It has various methods like `checkLoginPasswd`, etc which return the appropriate info from the database. It has two basic functions:

1. Retrieving information from the database
2. Inserting information into the database

Field Summary
`BidPageGen` | `bpg`

Method Summary
`boolean` | `addFeaturesToCategory(java.lang.String categoryName, java.util.Vector featureNameAndType)`
`boolean` | `addNewCategory(java.lang.String parentName, java.lang.String childCategoryName)`
`void` | `addUserInfo(java.lang.String login, java.lang.String password, java.lang.String firstName, java.lang.String lastName, java.lang.String email, java.lang.String gender, java.lang.String address, java.lang.String city, java.lang.String dateOfBirth)`
`boolean` | `canBeDeleted(java.lang.String categoryName)`
`boolean` | `checkLoginPasswd(java.lang.String login, java.lang.String passwd)`
`void` | `closeConn()`
`java.lang.String` | `deleteTheCategory(java.lang.String categoryName)`
`void` | `generalUserRating(java.lang.String userLogin, java.io.PrintWriter out)`
`java.lang.String` | `getBidDetailsPage(int productId)`
`java.lang.String` | `getBidFormPage(int productId)`
`java.lang.String` | `getBidHistoryPage(int auctionId)`
`java.util.Vector` | `getChildCategoryList(java.lang.String parentName)` This class is for generating all the childs for a given parent category.
`int` | `getCurrentBid(int productId)`
`java.lang.String` | `getItemInfoPage(int auctionId)`
`java.lang.String` | `getProductDetailsPage(int productId)`
`void` | `getUserInfo(java.io.PrintWriter out, java.lang.String login)`
`void` | `handleAuctionConfirmation(java.io.PrintWriter out, javax.servlet.http.HttpServletRequest request)`
`void` | `handleAuctionRevival(java.io.PrintWriter out, int prodID, javax.servlet.http.HttpServletRequest request)`
`void` | `handleAuctionRevivalDisplay(java.io.PrintWriter out, int prodID)`
`void` | `handleSearchDisplay(java.io.PrintWriter out)`
`void` | `handleSearchQuery(java.io.PrintWriter out, javax.servlet.http.HttpServletRequest request)`
`void` | `handleSellFormDisplay(java.io.PrintWriter out, java.lang.String categoryName)`
`void` | `insertSellerRatedAs(java.lang.String productId, java.lang.String winnerRatedSellerAs, java.lang.String winnerLogin, java.lang.String sellerLogin)`
`void` | `insertWinnerRatedAs(java.lang.String productId, java.lang.String sellerRatedWinnerAs, java.lang.String winnerLogin, java.lang.String sellerLogin)`
`boolean` | `isCategoryNameOverlaping(java.lang.String parentCatName, java.lang.String childSubCatName)`
`boolean` | `isEmailPresent(java.lang.String email)`
`boolean` | `isLoginPresent(java.lang.String login)`
`boolean` | `isNotFinal(java.lang.String categoryName)`
`boolean` | `isSuspendedUser(java.lang.String login)`
`boolean` | `isValidUser(java.lang.String login, java.lang.String password)`
`int` | `IsValidUser(java.lang.String login, java.lang.String passwd)`
`static void` | `main(java.lang.String[] args)`
`java.util.Vector` | `productDetailsOfFinalCategory(java.lang.String finalCatName)`
`void` | `removeBidsOfOutdatedAuctions(int auctionId)`
`java.lang.String` | `sellerRatedWinnerAs(java.lang.String productId)`
`void` | `updateAuctionTableAndShift(java.lang.String finalCatName)`
`void` | `updateCurrentBid(int productId, int nextBid, java.lang.String bidderLogin, java.lang.String autobid, int maxamt)`
`void` | `updateSellerRatedAs(java.lang.String productId, java.lang.String winnerRatedSellerAs)`
`void` | `updateUserInfo(java.lang.String loginName, java.lang.String oldPassword, java.lang.String newPassword, java.lang.String firstName, java.lang.String lastName, java.lang.String email, java.lang.String gender, java.lang.String address, java.lang.String city)`
`void` | `updateWinnerRatedAs(java.lang.String productId, java.lang.String sellerRatedWinnerAs)`
`void` | `userQueryFive(java.io.PrintWriter out, java.lang.String login)`
`void` | `userQueryFour(java.io.PrintWriter out, java.lang.String login)`
`void` | `userQueryOne(java.io.PrintWriter out, java.lang.String login)`
`void` | `userQueryThree(java.io.PrintWriter out, java.lang.String login)`
`void` | `userQueryTwo(java.io.PrintWriter out, java.lang.String login)`
`boolean` | `whetherSuccessfulAuction(int auctionId)`
`java.lang.String` | `winnerRatedSellerAs(java.lang.String productId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bpg

    public BidPageGen bpg

Method Detail

### closeConn

    public void closeConn()

### checkLoginPasswd

    public boolean checkLoginPasswd(java.lang.String login,
                                    java.lang.String passwd)

### handleSellFormDisplay

    public void handleSellFormDisplay(java.io.PrintWriter out,
                                      java.lang.String categoryName)

### handleAuctionConfirmation

    public void handleAuctionConfirmation(java.io.PrintWriter out,
                                          javax.servlet.http.HttpServletRequest request)

### handleAuctionRevivalDisplay

    public void handleAuctionRevivalDisplay(java.io.PrintWriter out,
                                            int prodID)

### handleAuctionRevival

    public void handleAuctionRevival(java.io.PrintWriter out,
                                     int prodID,
                                     javax.servlet.http.HttpServletRequest request)

### handleSearchDisplay

    public void handleSearchDisplay(java.io.PrintWriter out)

### handleSearchQuery

    public void handleSearchQuery(java.io.PrintWriter out,
                                  javax.servlet.http.HttpServletRequest request)

### getChildCategoryList

    public java.util.Vector getChildCategoryList(java.lang.String parentName)

  This class is for generating all the childs for a given parent category. Output is a vector having entries for all the childs.

### addNewCategory

    public boolean addNewCategory(java.lang.String parentName,
                                  java.lang.String childCategoryName)

### addFeaturesToCategory

    public boolean addFeaturesToCategory(java.lang.String categoryName,
                                         java.util.Vector featureNameAndType)

### isNotFinal

    public boolean isNotFinal(java.lang.String categoryName)

### canBeDeleted

    public boolean canBeDeleted(java.lang.String categoryName)

### deleteTheCategory

    public java.lang.String deleteTheCategory(java.lang.String categoryName)

### isCategoryNameOverlaping

    public boolean isCategoryNameOverlaping(java.lang.String parentCatName,
                                            java.lang.String childSubCatName)

### whetherSuccessfulAuction

    public boolean whetherSuccessfulAuction(int auctionId)

### removeBidsOfOutdatedAuctions

    public void removeBidsOfOutdatedAuctions(int auctionId)

### updateAuctionTableAndShift

    public void updateAuctionTableAndShift(java.lang.String finalCatName)

### productDetailsOfFinalCategory

    public java.util.Vector productDetailsOfFinalCategory(java.lang.String finalCatName)

### getProductDetailsPage

    public java.lang.String getProductDetailsPage(int productId)

### getBidFormPage

    public java.lang.String getBidFormPage(int productId)

### getBidDetailsPage

    public java.lang.String getBidDetailsPage(int productId)

### getBidHistoryPage

    public java.lang.String getBidHistoryPage(int auctionId)

### getItemInfoPage

    public java.lang.String getItemInfoPage(int auctionId)

### getCurrentBid

    public int getCurrentBid(int productId)

### IsValidUser

    public int IsValidUser(java.lang.String login,
                           java.lang.String passwd)

### updateCurrentBid

    public void updateCurrentBid(int productId,
                                 int nextBid,
                                 java.lang.String bidderLogin,
                                 java.lang.String autobid,
                                 int maxamt)

### main

    public static void main(java.lang.String[] args)

### isValidUser

    public boolean isValidUser(java.lang.String login,
                               java.lang.String password)

### isLoginPresent

    public boolean isLoginPresent(java.lang.String login)

### isEmailPresent

    public boolean isEmailPresent(java.lang.String email)

### isSuspendedUser

    public boolean isSuspendedUser(java.lang.String login)

### addUserInfo

    public void addUserInfo(java.lang.String login,
                            java.lang.String password,
                            java.lang.String firstName,
                            java.lang.String lastName,
                            java.lang.String email,
                            java.lang.String gender,
                            java.lang.String address,
                            java.lang.String city,
                            java.lang.String dateOfBirth)

### updateUserInfo

    public void updateUserInfo(java.lang.String loginName,
                               java.lang.String oldPassword,
                               java.lang.String newPassword,
                               java.lang.String firstName,
                               java.lang.String lastName,
                               java.lang.String email,
                               java.lang.String gender,
                               java.lang.String address,
                               java.lang.String city)

### getUserInfo

    public void getUserInfo(java.io.PrintWriter out,
                            java.lang.String login)

### userQueryOne

    public void userQueryOne(java.io.PrintWriter out,
                             java.lang.String login)

### userQueryTwo

    public void userQueryTwo(java.io.PrintWriter out,
                             java.lang.String login)

### userQueryThree

    public void userQueryThree(java.io.PrintWriter out,
                               java.lang.String login)

### userQueryFour

    public void userQueryFour(java.io.PrintWriter out,
                              java.lang.String login)

### userQueryFive

    public void userQueryFive(java.io.PrintWriter out,
                              java.lang.String login)

### updateWinnerRatedAs

    public void updateWinnerRatedAs(java.lang.String productId,
                                    java.lang.String sellerRatedWinnerAs)

### updateSellerRatedAs

    public void updateSellerRatedAs(java.lang.String productId,
                                    java.lang.String winnerRatedSellerAs)

### insertWinnerRatedAs

    public void insertWinnerRatedAs(java.lang.String productId,
                                    java.lang.String sellerRatedWinnerAs,
                                    java.lang.String winnerLogin,
                                    java.lang.String sellerLogin)

### insertSellerRatedAs

    public void insertSellerRatedAs(java.lang.String productId,
                                    java.lang.String winnerRatedSellerAs,
                                    java.lang.String winnerLogin,
                                    java.lang.String sellerLogin)

### winnerRatedSellerAs

    public java.lang.String winnerRatedSellerAs(java.lang.String productId)

### sellerRatedWinnerAs

    public java.lang.String sellerRatedWinnerAs(java.lang.String productId)

### generalUserRating

    public void generalUserRating(java.lang.String userLogin,
                                  java.io.PrintWriter out)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD